[omd-devel] Patch for omd xinetd rc script

wolvverine wolvverinepld at gmail.com
Wed Oct 24 00:48:17 CEST 2012


Problem:
+ test -e /omd/sites/monitoring/etc/xinetd.d/check-mk-agent
/omd/sites/monitoring/etc/xinetd.d/mk-livestatus
/omd/sites/monitoring/etc/rc.d/90-xinetd.orig: line 6: test:
/omd/sites/monitoring/etc/xinetd.d/check-mk-agent: binary operator expected


--- 90-xinetd.orig 2012-10-24 00:31:09.000000000 +0200
+++ 90-xinetd 2012-10-24 00:31:01.000000000 +0200
@@ -1,8 +1,9 @@
 #!/bin/bash
 # Start only if at least on xinetd based service
 # is activated
-
-test -e /omd/sites/monitoring/etc/xinetd.d/* || exit 5
+for i in /omd/sites/monitoring/etc/xinetd.d/* ; do
+ test -e "${i}" || exit 5
+done

 PIDFILE=/omd/sites/monitoring/tmp/run/xinetd.pid
 DAEMON=/usr/sbin/xinetd
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.mathias-kettner.de/pipermail/omd-devel/attachments/20121024/daacaa52/attachment.html>


More information about the omd-devel mailing list